### Hierarchy

- Bind

## Index

### Constructors

- constructor

### Properties

- combined
- eventList
- name
- pathList
- setupFunction
- sourcePath
- thisPathList

### Methods

- command
- event
- forControl
- forData
- forLocalViewModel
- forViewModel
- oneTime
- oneWay
- oneWayCommand
- presenter
- twoWays
- twoWaysImmediate

## Constructors

### constructor

- new Bind(setupFunction: function, sourcePath: bindingFunction, name?: string, eventList?: string[]): Bind

- - Defined in src/core/Bind.ts:324

  #### Parameters

  - ##### setupFunction: function

    - - (name: string, b: Bind, c: IAtomComponent, e: any, self?: any): void

      - #### Parameters

        - ##### name: string

        - ##### b: Bind

        - ##### c: IAtomComponent

        - ##### e: any

        - ##### Optional self: any

        #### Returns void

  - ##### sourcePath: bindingFunction

  - ##### Optional name: string

  - ##### Optional eventList: string[]

  #### Returns Bind

## Properties

### combined

combined: string[][]

- Defined in src/core/Bind.ts:324

### Optional eventList

eventList: string[]

- Defined in src/core/Bind.ts:330

### Optional name

name: string

- Defined in src/core/Bind.ts:329

### pathList

pathList: string[][]

- Defined in src/core/Bind.ts:320

### setupFunction

setupFunction: function

- Defined in src/core/Bind.ts:327

#### Type declaration

- - (name: string, b: Bind, c: IAtomComponent, e: any, self?: any): void

  - #### Parameters

    - ##### name: string

    - ##### b: Bind

    - ##### c: IAtomComponent

    - ##### e: any

    - ##### Optional self: any

    #### Returns void

### sourcePath

sourcePath: bindingFunction

- Defined in src/core/Bind.ts:318

### thisPathList

thisPathList: string[][]

- Defined in src/core/Bind.ts:322

## Methods

### Static command

- command<T>(action: function): object

- - Defined in src/core/Bind.ts:184

  #### Type parameters

  - #### T

  #### Parameters

  - ##### action: function

    - - (p: T): any

      - #### Parameters

        - ##### p: T

        #### Returns any

  #### Returns object

### Static event

- event<T>(sourcePath: function): any

- - Defined in src/core/Bind.ts:157

  #### Type parameters

  - #### T: IAtomComponent

  #### Parameters

  - ##### sourcePath: function

    - - (control: T, e?: CustomEvent): void

      - #### Parameters

        - ##### control: T

        - ##### Optional e: CustomEvent

        #### Returns void

  #### Returns any

### Static forControl

- forControl<C>(): IBinder<C>

- - Defined in src/core/Bind.ts:124

  #### Type parameters

  - #### C: IAtomComponent

  #### Returns IBinder<C>

### Static forData

- forData<D>(): IBinder<IData<D>>

- - Defined in src/core/Bind.ts:128

  #### Type parameters

  - #### D

  #### Returns IBinder<IData<D>>

### Static forLocalViewModel

- forLocalViewModel<D>(): IBinder<ILVM<D>>

- - Defined in src/core/Bind.ts:136

  #### Type parameters

  - #### D

  #### Returns IBinder<ILVM<D>>

### Static forViewModel

- forViewModel<D>(): IBinder<IVM<D>>

- - Defined in src/core/Bind.ts:132

  #### Type parameters

  - #### D

  #### Returns IBinder<IVM<D>>

### Static oneTime

- oneTime<T>(sourcePath: bindingFunction<T>): any

- - Defined in src/core/Bind.ts:174

  #### Type parameters

  - #### T: IAtomComponent

  #### Parameters

  - ##### sourcePath: bindingFunction<T>

  #### Returns any

### Static oneWay

- oneWay<T>(sourcePath: bindingFunction<T>): any

- - Defined in src/core/Bind.ts:203

  #### Type parameters

  - #### T: IAtomComponent

  #### Parameters

  - ##### sourcePath: bindingFunction<T>

  #### Returns any

### Static oneWayCommand

- oneWayCommand<T>(sourcePath: bindingFunctionCommand<T>): any

- - Defined in src/core/Bind.ts:199

  #### Type parameters

  - #### T: IAtomComponent

  #### Parameters

  - ##### sourcePath: bindingFunctionCommand<T>

  #### Returns any

### Static presenter

- presenter(name?: string): any

- - Defined in src/core/Bind.ts:140

  #### Parameters

  - ##### Optional name: string

  #### Returns any

### Static twoWays

- twoWays<T>(sourcePath: bindingFunction<T>, events?: string[], converter?: IValueConverter): any

- - Defined in src/core/Bind.ts:254

  #### Type parameters

  - #### T: IAtomComponent

  #### Parameters

  - ##### sourcePath: bindingFunction<T>

  - ##### Optional events: string[]

  - ##### Optional converter: IValueConverter

  #### Returns any

### Static twoWaysImmediate

- twoWaysImmediate<T>(sourcePath: bindingFunction<T>): any

- - Defined in src/core/Bind.ts:307

  Use this for HTML only, this will fire two way binding as soon as the input/textarea box is updated

  #### Type parameters

  - #### T: IAtomComponent

  #### Parameters

  - ##### sourcePath: bindingFunction<T>

    binding lambda expression

  #### Returns any

Generated using TypeDoc